> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Affiliates (Advanced)

Retrieve a paginated list of affiliates. Supports search filters, sorting, and pagination to help you find and browse affiliates programmatically. Supports the `relationship` query parameter with values: signup, users.


## OpenAPI

````yaml openapi/affiliates.yaml post /networks/affiliatestable
openapi: 3.0.3
info:
  title: Everflow Network API - Affiliates
  description: >
    Affiliate management endpoints for the Everflow partner marketing platform.
    Search, retrieve, create, and update affiliate accounts. To learn more about
    partners, see the [Partner
    overview](https://helpdesk.everflow.io/customer/who-is-a-partner-in-everflow).
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Affiliates
    description: Endpoints for searching and managing affiliates.
paths:
  /networks/affiliatestable:
    post:
      tags:
        - Affiliates
      summary: Find Affiliates (Advanced)
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number (1-based).
        - in: query
          name: page_size
          schema:
            type: integer
            default: 50
            maximum: 2000
          description: Number of results per page.
        - in: query
          name: relationship
          schema:
            type: string
            enum:
              - signup
              - users
          description: Include related data.
      requestBody:
        content:
          application/json:
            examples:
              active_affiliates:
                summary: Fetch active affiliates
                value:
                  search_terms:
                    - search_type: name
                      value: ''
                  filters:
                    account_status: active
              by_manager_and_name:
                summary: Fetch affiliates by manager with name filter
                value:
                  search_terms:
                    - search_type: name
                      value: media
                  filters:
                    account_status: active
                    account_manager_id: 3
              with_recent_traffic:
                summary: Fetch active affiliates with recent traffic
                value:
                  search_terms:
                    - search_type: name
                      value: ''
                  filters:
                    account_status: active
                    has_recent_traffic: true
            schema:
              type: object
              properties:
                search_terms:
                  type: array
                  description: Text search filters.
                  items:
                    type: object
                    description: A search term.
                    required:
                      - search_type
                      - value
                    properties:
                      search_type:
                        type: string
                        enum:
                          - name
                        description: The field to search on.
                      value:
                        type: string
                        description: The search term.
                filters:
                  type: object
                  description: Structured filters to narrow results.
                  properties:
                    account_status:
                      type: string
                      enum:
                        - active
                        - inactive
                        - pending
                        - suspended
                      description: Filter by account status.
                    account_manager_ids:
                      type: array
                      items:
                        type: integer
                        description: An account manager ID.
                      description: Filter by account manager IDs.
                    network_account_executives_ids:
                      type: array
                      items:
                        type: integer
                        description: An account executive ID.
                      description: Filter by account executive IDs.
                    billing_frequency:
                      type: string
                      enum:
                        - weekly
                        - bimonthly
                        - monthly
                        - two_months
                        - quarterly
                        - manual
                        - other
                      description: Filter by billing frequency.
                    payment_type:
                      type: string
                      enum:
                        - none
                        - pay
                        - paypal
                        - check
                        - wire
                        - direct_deposit
                        - tipalti
                        - paxum
                        - veem
                        - payoneer
                        - bitcoin
                        - webmoney
                        - capitalist
                        - transferwise
                        - gift_card
                        - masspay
                        - skrill
                      description: Filter by payment type.
                    labels:
                      type: array
                      items:
                        type: string
                        description: A label name.
                      description: Filter by label names.
                    ran_traffic_in_last_hours:
                      type: integer
                      description: >-
                        Only return affiliates that had traffic within the last
                        N hours.
                    network_tracking_domain_ids:
                      type: array
                      items:
                        type: integer
                        description: A tracking domain ID.
                      description: Filter by tracking domain IDs.
                    country_codes:
                      type: array
                      items:
                        type: string
                        description: A country code.
                      description: Filter by country codes (e.g. US, CA).
                    business_unit_ids:
                      type: array
                      items:
                        type: integer
                        description: A business unit ID.
                      description: Filter affiliates based on the specified business units.
                    region_codes:
                      type: array
                      items:
                        type: string
                        description: A region code.
                      description: >
                        Filter by region codes. Note that region codes are not
                        always globally unique so this filter is best used along
                        with the country_codes filter.
      responses:
        '200':
          description: ''
          content:
            application/json:
              example:
                affiliates:
                  - network_affiliate_id: 7
                    network_id: 1
                    name: Some Agency Inc.
                    account_status: active
                    account_manager_id: 1
                    account_manager_name: John Doe
                    account_executive_id: 0
                    account_executive_name: ''
                    today_revenue: $7.32
                    time_created: 1664825245
                    time_saved: 1664825245
                    labels:
                      - media_buyer
                    balance: 0
                    last_login: 1664985191
                    global_tracking_domain_url: www.testtracking.com
                    relationship: {}
                    network_country_code: US
                    is_payable: false
                    payment_type: none
                    payment_terms: 0
                    network_traffic_source_id: 0
                paging:
                  page: 1
                  page_size: 50
                  total_count: 1
              schema:
                type: object
                properties:
                  affiliates:
                    type: array
                    description: List of affiliates matching the search criteria.
                    items:
                      type: object
                      description: An affiliate table row.
                      properties:
                        network_affiliate_id:
                          type: integer
                          description: Unique affiliate ID.
                        network_id:
                          type: integer
                          description: Network ID.
                        name:
                          type: string
                          description: Affiliate name.
                        account_status:
                          type: string
                          enum:
                            - active
                            - inactive
                            - pending
                            - suspended
                          description: Current account status.
                        account_manager_id:
                          type: integer
                          description: Account manager ID.
                        account_manager_name:
                          type: string
                          description: Account manager name.
                        account_executive_id:
                          type: integer
                          description: Account executive ID.
                        account_executive_name:
                          type: string
                          description: Account executive name.
                        today_revenue:
                          type: string
                          description: Today's revenue (formatted string).
                        time_created:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp of when the affiliate was created.
                        time_saved:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp of when the affiliate was last saved.
                        labels:
                          type: array
                          nullable: true
                          description: Labels associated with this affiliate.
                          items:
                            type: string
                            description: A label string.
                        balance:
                          type: integer
                          description: Current affiliate balance.
                        last_login:
                          type: integer
                          description: Unix timestamp of last login.
                        global_tracking_domain_url:
                          type: string
                          description: Global tracking domain URL.
                        relationship:
                          type: object
                          description: >-
                            Related data (only present when requested via the
                            `relationship` query parameter).
                        network_country_code:
                          type: string
                          description: Affiliate's country code.
                        is_payable:
                          type: boolean
                          description: Whether the affiliate is payable.
                        payment_type:
                          type: string
                          description: Payment method type.
                        payment_terms:
                          type: integer
                          description: Payment terms in days.
                        network_traffic_source_id:
                          type: integer
                          description: Associated traffic source ID.
                  paging:
                    type: object
                    description: Pagination information.
                    properties:
                      page:
                        type: integer
                        description: Current page number.
                      page_size:
                        type: integer
                        description: Number of results per page.
                      total_count:
                        type: integer
                        description: Total number of results across all pages.
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````